View Single Post
Old 09-11-2017, 01:39 PM   #20
DiapDealer
Grand Sorcerer
DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.
 
DiapDealer's Avatar
 
Posts: 22,266
Karma: 124547460
Join Date: Jan 2010
Device: Nexus 7, Kindle Fire HD
Quote:
Originally Posted by Gregg Bell View Post
2) When I went to run it I ran into this. (see screenshots) (I run Xubuntu 16.04 Distro)
Code:
sudo apt-get install python3-tk
The (Ubuntu-equivalent) python modules that ship with the Windows and Mac versions of Sigil are as follows:
  • python3-tk
  • python3-pyqt5
  • python3-lxml
  • python3-six
  • python3-html5lib
  • python3-regex
  • python3-pillow
  • python3-cssselect
  • python3-cssutils
  • python3-chardet

Plugin devs will assume that everyone has these python modules available. So Linux users who want to utilize Sigil plugins should make sure the above packages are installed when using Linux repository-supplied versions of Sigil.

Several may be installed already, but you can safely run the following command to insure they are all installed/updated:

Code:
sudo apt-get install python3-tk python3-pyqt5 python3-lxml python3-six python3-html5lib python3-regex python3-pillow python3-cssselect python3-cssutils python3-chardet

Last edited by DiapDealer; 09-11-2017 at 01:48 PM.
DiapDealer is offline   Reply With Quote